%define major		11
%define libname		%mklibname mediastreamer %{major}
%define develname	%mklibname mediastreamer -d

Summary:	Audio/video real-time streaming library
Name:		mediastreamer2
Version:	4.4.21
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/technical-corner/mediastreamer2
Source0:	https://github.com/BelledonneCommunications/mediastreamer2/archive/%{version}/mediastreamer2-%{version}.tar.xz
Patch0:		mediastreamer-linkage_fix.patch
# (wally) install pkgconfig pc file with cmake
Patch2:		mediastreamer-cmake-install-pkgconfig-pc-file.patch
# (wally) allow overriding cmake config file location from cmd line
Patch3:		mediastreamer-cmake-config-location.patch
BuildRequires:	bcmatroska2-devel
BuildRequires:	cmake
BuildRequires:	ffmpeg-devel
BuildRequires:	gsm-devel
BuildRequires:	libpcap-devel
BuildRequires:	libv4l-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(bctoolbox)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libbcg729)
BuildRequires:	pkgconfig(libbzrtp)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(libupnp)
BuildRequires:	pkgconfig(libvpx)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(ortp)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xv)
BuildRequires:	vim-common

Obsoletes:      mediastreamer
Provides:       mediastreamer = %{version}-%{release}

%description
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{libname}
Summary:	Audio/video real-time streaming library
Group:		System/Libraries

%description -n	%{libname}
Mediastreamer2 is a powerful lightweight streaming engine for voice/video
telephony applications.

%package -n	%{develname}
Summary:	Headers, libraries and docs for the mediastreamer2 library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains header files and development libraries needed to
develop programs using the mediastreamer2 library.

%prep
%setup -qn mediastreamer2-%{version}
%apply_patches

# fix version
sed -i -e '/mediastreamer2/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_UNIT_TESTS:BOOL=NO
%cmake_build

%install
%cmake_install

#find_lang %%{name}

find %{buildroot} -name "*.la" -delete

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/mediastreamer*

%files
%{_bindir}/mediastream
%{_bindir}/mkvstream
%dir %{_datadir}/images/
%{_datadir}/images/nowebcamCIF.jpg

%files -n %{libname}
%{_libdir}/libmediastreamer.so.%{major}*

%files -n %{develname}
%{_includedir}/mediastreamer2/
%{_libdir}/libmediastreamer.so
%{_libdir}/pkgconfig/mediastreamer.pc
%{_libdir}/cmake/Mediastreamer2/


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
